Skip to main content
GET
/
v3
/
enterprise
/
organizations
/
{org_id}
/
members
/
idp-users
List Organization IDP Group Users
curl --request GET \
  --url https://api.devin.ai/v3/enterprise/organizations/{org_id}/members/idp-users \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "email": "<string>",
      "idp_role_assignments": [
        {
          "idp_group_name": "<string>",
          "role": {
            "role_id": "<string>",
            "role_name": "<string>",
            "role_type": "enterprise"
          },
          "org_id": "<string>"
        }
      ],
      "name": "<string>",
      "user_id": "<string>"
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}
This endpoint lists users whose organization membership is derived from IDP group assignments. It returns only users who have roles inherited through IDP group membership for the specified organization, not users with direct role assignments. If you are looking for users with direct role assignments in an organization, use the List organization users endpoint instead.

Permissions

Requires a service user with the ViewAccountMembership permission at the enterprise level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Path Parameters

org_id
string
required

Organization ID (prefix: org-)

Example:

"org-abc123def456"

Query Parameters

after
string | null
first
integer
default:100
Required range: 1 <= x <= 200
email
string | null

Filter by exact email address

Response

Successful Response

items
IdpGroupUser · object[]
required
end_cursor
string | null

Cursor to fetch the next page, or None if this is the last page.

has_next_page
boolean
default:false

Whether there are more items available after this page.

total
integer | null

Optional total count (can be omitted for performance).